List Kling voices
curl --request GET \
--url https://gengen.farm/api/gengen/v1/video/kling/voices \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/video/kling/voices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/video/kling/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"voices": [
{
"voiceId": "829837252279803904",
"name": "Laura"
}
],
"nextPage": null
}Kling 4.0
List Kling voices
Find official preset voice IDs or the private voices available to your workspace.
GET
/
video
/
kling
/
voices
List Kling voices
curl --request GET \
--url https://gengen.farm/api/gengen/v1/video/kling/voices \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/video/kling/voices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/video/kling/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"voices": [
{
"voiceId": "829837252279803904",
"name": "Laura"
}
],
"nextPage": null
}Use your GENGEN API key to try this free request. Choose
To use your own recording, create a private voice and check its status. You can delete a private voice to free a slot.
scope=preset for Kling’s official voices (the default) or scope=private for active voices created in your workspace. If the response includes a nextPage number, pass it as page with the same scope. Stop when nextPage is null.
Listen to previewUrl when present. To use the voice in a Kling 4.0 video, copy its voiceId as a string. Choose a separate id for the prompt to reference with @. For example, if you choose narrator, refer to the voice as @narrator:
{
"model": "kling-4.0",
"mode": "omni_video",
"prompt": "In @narrator's voice, say: Welcome to the show.",
"assets": { "voices": [{ "voiceId": "829837252279803904", "id": "narrator" }] }
}